1 Reply Latest reply on Oct 10, 2016 3:32 AM by Ivana Kolin

    NewDocument→don't display dialogbox.?

    Yong Ning

      Follow code, Have dialogbox.

      Help me , run follow code, don't display dialogbox

      0.jpg

       

      Private Sub ll2()

          Dim SwApp As SldWorks.SldWorks, SwModel As ModelDoc2, oSwModel As ModelDoc2

               Set SwApp = Application.SldWorks

               Set oSwModel = SwApp.ActiveDoc

          Dim ConfArr

               ConfArr = oSwModel.GetConfigurationNames

               oSwModel.ShowConfiguration2 ConfArr(5)

               Set SwModel = SwApp.NewDocument("D:\SolidWorks 2001\d000928.042.SWC\data\temp_a.slddrt", 0, 1, 1)

               Stop

      End Sub